# Update NAT Gateway Port Forwarding Rules - UpdateNATGWPolicy

## Overview

Update NAT Gateway Port Forwarding Rules






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateNATGWPolicy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project Id. If not filled in, the default project is used. Sub-accounts must fill in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **NATGWId** | string | NAT Gateway Id |**Yes**|
| **PolicyId** | string | Forwarding Strategy Id |**Yes**|
| **Protocol** | string | Protocol type. Enumerated values are: TCP, UDP |**Yes**|
| **SrcEIPId** | string | Source IP. Fill in the corresponding EIP Id. |**Yes**|
| **SrcPort** | string | Source port. You can fill in a fixed port or a range of ports. The supported port range is 1-6553. |**Yes**|
| **DstIP** | string | Target IP. Fill in the corresponding target IP address. |**Yes**|
| **DstPort** | string | Destination port. You can fill in a fixed port or a port range. The supported port range is 1-65535. |**Yes**|
| **PolicyName** | string | Forwarding policy name. Default is empty. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.nubexcloud.com/?Action=UpdateNATGWPolicy
&Region=xxx
&ProjectId=xxx
&NATGWId=hgcVoyEy
&PolicyId=nfKIELvQ
&Protocol=TCP
&SrcEIPId=yuPOfoNO
&SrcPort=zUtgCzdK
&DstIp=NNWLPLlu
&DstPort=SOPruxNJ
&PolicyName=YTEVHszL
```

### Response Example
    
```json
{
  "Action": "UpdateNATGWPolicyResponse",
  "RetCode": 0
}
```





